Page MenuHomePhabricator

Phantom box before attribution sentence when using {{quote|quoted text|attribution}} template.
Closed, ResolvedPublic

Description

Using Google Chrome Version 46.0.2490.71 m
on and older Dell D610 laptop

From page:
https://en.wikipedia.org/wiki/Monica_Geller#Characterization_and_analysis

Renders like this with a phantom block before the R in Rita (block did not render to this reporting window with copy/paste):

 Rita Loiacono of SheKnows Media summarizing Monica's perseverance.

Should look like this:

Rita Loiacono of SheKnows Media summarizing Monica's perseverance.

The block does not show up in the edit window. It only shows up after saving and viewing the article.

The block does not show up when browsing from my Blackberry Bold 9900 smartphone.

Event Timeline

Checkingfax raised the priority of this task from to Needs Triage.
Checkingfax updated the task description. (Show Details)
Checkingfax added a subscriber: Checkingfax.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2015, 8:17 AM
Aklapper changed the task status from Open to Stalled.Oct 16 2015, 9:14 AM
Aklapper set Security to None.

What exactly means "box"? Could you provide a small screenshot of that phenomenon?
Thanks!

Does the problem still happen with this revision:
https://en.wikipedia.org/w/index.php?title=Monica_Geller&oldid=685996844

(Copying the text into a hexeditor I see two 0A bytes before the "quote" box. While there's only one 0A after the quote box. Might be entirely unrelated though.)

Does the problem still happen with this revision:
https://en.wikipedia.org/w/index.php?title=Monica_Geller&oldid=685996844
(Copying the text into a hexeditor I see two 0A bytes before the "quote" box. While there's only one 0A after the quote box. Might be entirely unrelated though.)

Yes.

What exactly means "box"? Could you provide a small screenshot of that phenomenon?
Thanks!

http://tinypic.com/r/1zdnnk2/8

Aklapper triaged this task as Lowest priority.Oct 17 2015, 9:11 AM

Ah, screenshot shows a small box between — and R in

— Rita Loiacono of

Which exact operating system is this? I wonder if this could have something to do with fonts...
Do you know if any other (Chrome) user has also seen this?

Last testcase (with template used) before page got rewritten was https://en.wikipedia.org/w/index.php?title=Monica_Geller&oldid=685986830

Ah, screenshot shows a small box between — and R in

— Rita Loiacono of

Which exact operating system is this? I wonder if this could have something to do with fonts...
Do you know if any other (Chrome) user has also seen this?
Last testcase (with template used) before page got rewritten was https://en.wikipedia.org/w/index.php?title=Monica_Geller&oldid=685986830

Windows XP Professional

I don't know if any other users can see the little "box" character.

Elitre added a subscriber: Elitre.Oct 19 2015, 11:10 AM

Here is a User page where I see the little box after the mdash:
https://en.wikipedia.org/wiki/User:Wnt

I see the little box in both blockquotes.

In the first quote the little box is after the mdash and before the J, and in the second quote the little box is after the mdash and before the C

Are you making any progress on this incident report?

The {{quote}} template had a thin space after the mdash that only rendered on certain systems. The template editors fixed it. See this diff: https://en.wikipedia.org/w/index.php?title=Template_talk:Quote&curid=6832133&diff=686947734&oldid=686886236

You can close this ticket as solved.

Cheers! Checkingfax

Elitre closed this task as Resolved.Oct 22 2015, 11:34 AM
Elitre claimed this task.